Subject: Re: bug#8525: Lisp reader and string-to-number bugs and inconsistencies

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Apr 2011 13:45:30 +0300

> Date: Wed, 20 Apr 2011 02:27:54 -0700
> From: Paul Eggert <[email-masked]>
> 
> To fix (2), it's plausible to change the code in one of two ways:
> either silently treat large integers as floats, or signal an overflow.
> I don't care that much one way or another, but Emacs should be
> consistent.  I mildly prefer reporting the overflow

My preference is the other way around: convert it to a float.  I think
it is more in line with many Emacs features, like the values returned
by file-attributes.